package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag299;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT299Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT299Creator mt299Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt299Creator= (MT299Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt299Creator.getTransactionReferenceNumber();
        mt299Creator.set("20", tag20Value);
    }
}
